/*
 * xrick/include/syssnd.h
 *
 * Copyright (C) 1998-2002 BigOrno (bigorno@bigorno.net). All rights reserved.
 *
 * The use and distribution terms for this software are contained in the file
 * named README, which can be found in the root of this distribution. By
 * using this software in any fashion, you are agreeing to be bound by the
 * terms of this license.
 *
 * You must not remove this notice, or any other, from this software.
 */

#ifndef _SYSSND_H
#define _SYSSND_H

#include "config.h"

#ifdef ENABLE_SOUND

#include "system.h"

extern U8 sndLevel;

extern void syssnd_init(void);
extern void syssnd_shutdown(void);
extern S8 syssnd_play(sound_t *sound, S8 loop);
extern sound_t *syssnd_load(char *name);

#endif /* ENABLE_SOUND */

#endif /* _SYSSND_H */

/* eof */


